Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class ServletDefinitionListImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.ServletDefinitionListImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.Controller, org.apache.pluto.om.Model, org.apache.pluto.om.servlet.ServletDefinitionList, org.apache.pluto.om.servlet.ServletDefinitionListCtrl

    public class ServletDefinitionListImpl

extends java.lang.Object
implements org.apache.pluto.om.servlet.ServletDefinitionList, org.apache.pluto.om.servlet.ServletDefinitionListCtrl, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.4 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.util.Map` | `servletDefinitions`

Constructor Summary
`ServletDefinitionListImpl()`

Method Summary
`void` | `add(org.apache.pluto.om.servlet.ServletDefinition servletDefinition)`
`org.apache.pluto.om.servlet.ServletDefinition` | `add(java.lang.String name, java.lang.String className)`
`org.apache.pluto.om.servlet.ServletDefinition` | `get(java.lang.String name)`
`java.util.Iterator` | `iterator()`
`void` | `remove(org.apache.pluto.om.servlet.ServletDefinition servletDefinition)`
`org.apache.pluto.om.servlet.ServletDefinition` | `remove(java.lang.String name)`
`int` | `size()` Indicates the number of servlet definitions in this list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletDefinitions

    private java.util.Map servletDefinitions

Constructor Detail

### ServletDefinitionListImpl

    public ServletDefinitionListImpl()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `org.apache.pluto.om.servlet.ServletDefinitionList`

### get

    public org.apache.pluto.om.servlet.ServletDefinition get(java.lang.String name)

  Specified by:
    `get` in interface `org.apache.pluto.om.servlet.ServletDefinitionList`

### add

    public org.apache.pluto.om.servlet.ServletDefinition add(java.lang.String name,
                                                             java.lang.String className)

  Specified by:
    `add` in interface `org.apache.pluto.om.servlet.ServletDefinitionListCtrl`

### remove

    public org.apache.pluto.om.servlet.ServletDefinition remove(java.lang.String name)

  Specified by:
    `remove` in interface `org.apache.pluto.om.servlet.ServletDefinitionListCtrl`

### remove

    public void remove(org.apache.pluto.om.servlet.ServletDefinition servletDefinition)

  Specified by:
    `remove` in interface `org.apache.pluto.om.servlet.ServletDefinitionListCtrl`

### add

    public void add(org.apache.pluto.om.servlet.ServletDefinition servletDefinition)

### size

    public int size()

  Indicates the number of servlet definitions in this list

  Returns:
    size the number of servlets definitions in this list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD